#include "Buzzer.h"
#include "Game.hpp"
#include "adc.h"
#include "joystick.hpp"

int main(void) {
    // init_buzzer();
    // sei();
    // play_buzzer();
    //
    // while (buzzer_active)
    //     ;
    init();

    adc_init();

    Keypad keypad;
    Joystick joystick;

    sei();

    Game game(keypad, joystick);
    game.initGame();

    while (1) {
        game.loop();
        delay(16);
    }
}
